For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETAdvanced search for Assets
      • POSTAdvanced search for Assets
      • POSTBulk copy assets
      • DELBulk delete assets
      • POSTCopy asset
      • POSTCreate an Asset
      • DELDelete an Asset
      • GETFetch child Assets
      • GETGet an Asset
      • GETGet audio for an Asset
      • GETGet the subtitles for an Asset
      • POSTMove asset
      • POSTRequest upload URLs for real-time upload
      • GETSearch for Assets
      • POSTSearch for Assets
      • DELUnversion an Asset
      • PUTUpdate an Asset
      • POSTVersion an Asset

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAssets

Bulk copy assets

POST
https://api.frame.io/v2/batch/assets/:destination_id/copy
POST
/v2/batch/assets/:destination_id/copy
1import requests
2
3url = "https://api.frame.io/v2/batch/assets/destination_id/copy"
4
5headers = {
6 "Authorization": "Bearer <token>",
7 "Content-Type": "application/json"
8}
9
10response = requests.post(url, headers=headers)
11
12print(response.json())
1{
2 "error": {
3 "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa": "Something went wrong!"
4 }
5}
Copy a batch of asset ids to a new folder. You can also choose to copy over all or none of the comments from the original to the copied asset.
Was this page helpful?
Previous

Bulk delete assets

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

destination_idstringRequired

Request

An array of batch operations
batchlist of objectsOptional
copy_commentsenumOptional
Allowed values:

Response

Batch copy success response
errorobject
Assets that were not copied, and why they weren't copied
successobject
The assets that were succesfully copied
succes_testobject
string

Errors

401
Unauthorized Error
404
Not Found Error